Package com.tableau.hyperapi

# Class Inserter.ColumnMapping

java.lang.Object
com.tableau.hyperapi.Inserter.ColumnMapping

Enclosing class:
  `Inserter`

public static final class Inserter.ColumnMapping extends Object
Maps an expression to a column

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnMapping(Name columnName)`
  Creates a column mapping.
  `ColumnMapping(Name columnName, String expression)`
  Creates a column mapping.
  `ColumnMapping(String columnName)`
  Creates a column mapping.
  `ColumnMapping(String columnName, String expression)`
  Creates a column mapping.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Name`
  `getColumnName()`
  Returns the name of the column.
  `Optional<String>`
  `getExpression()`
  Returns the optional expression mapped to the column.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ColumnMapping

    public ColumnMapping(Name columnName, String expression)
    Creates a column mapping.
    Parameters:
      `columnName` - Column name.
      `expression` - SQL expression.

  - ### ColumnMapping

    public ColumnMapping(Name columnName)
    Creates a column mapping.
    Parameters:
      `columnName` - Column name.

  - ### ColumnMapping

    public ColumnMapping(String columnName, String expression)
    Creates a column mapping.
    Parameters:
      `columnName` - Column name.
      `expression` - SQL expression.

  - ### ColumnMapping

    public ColumnMapping(String columnName)
    Creates a column mapping.
    Parameters:
      `columnName` - Column name.

- ## Method Details

  - ### getColumnName

    public Name getColumnName()
    Returns the name of the column.
    Returns:
      The column name.

  - ### getExpression

    public Optional<String> getExpression()
    Returns the optional expression mapped to the column.
    Returns:
      The optional expression.